code stringlengths 1 1.96M | language stringclasses 1
value |
|---|---|
#!/bin/sh
#
# Script by Leigh Purdie of InterSect Alliance
#
# 1) Install a Ubuntu system, and remove packages according to your
# requirements using synaptic. I use QEMU.
# Don't install any new packages that are NOT available from the CD,
# at this stage.
#
# 2) dpkg -l > PackageList
# Copy this file to $... | Shell |
#!/bin/sh
#set -x
# Name of the volume group that has the origin and snap store volumes.
VGNAME=sysvg
# Name and size in megabytes of the origin volume.
ORIGNAME=ztestorig
ORIGSIZE=4096
# Name and size in megabytes of the snap store volume.
SNAPNAME=ztestsnap
SNAPSIZE=2048
# Name of the Zumastor volume.
TESTVOL=testv... | Shell |
#!/bin/sh
#set -x
# User to ssh as on the source and target systems.
SSHUSER=root
# Where the test support scripts are located, so we can find volcreate,
# zinstalltet and zruntet.
SCRIPTS=~/zumastor/test/scripts
usage()
{
echo "Usage: $0 [-s <script directory>] [-v <volume list>] <source> <target>" >&2
echo "Wher... | Shell |
#!/bin/sh
set -x
#
# We don't expect or want any arguments.
#
if [ $# -ge 1 ]; then
usage
fi
#
# Add the tet user if it doesn't already exist.
#
grep tet /etc/passwd
if [ $? -ne 0 ]; then
adduser --system tet
fi
#
# Extract the tarfiles into the tet home directory.
#
cd /home/tet
mkdir TET
cd TET
tar xf /tmp/tet.ta... | Shell |
#!/bin/sh
set -x
#
# Potentially modifiable parameters.
#
# Working directory, where images and ancillary files live.
WORKDIR=~/local
# Where the svn output goes.
SVNLOG=svn.log
# Name of the main installed Qemu disk image.
TESTIMG=${WORKDIR}/test.img
# Names of the working replication source and target disk images.
... | Shell |
#!/bin/sh
set -x
#
# Potentially modifiable parameters.
#
# Working directory, where images and ancillary files live.
WORKDIR=~/local
# Where the svn output goes.
SVNLOG=svn.log
# Name of the main installed Qemu disk image.
TESTIMG=${WORKDIR}/test.img
# Names of the working replication source and target disk images.
... | Shell |
#!/bin/sh
#set -x
# User to ssh as on the source and target systems.
SSHUSER=root
# Where the test support scripts are located, so we can find volcreate,
# zinstalltet and zruntet.
SCRIPTS=~/zumastor/test/scripts
usage()
{
echo "Usage: $0 [-s <script directory>] [-v <volume list>] <source> <target>" >&2
echo "Wher... | Shell |
#!/bin/sh
#
# Script by Leigh Purdie of InterSect Alliance
#
# 1) Install a Ubuntu system, and remove packages according to your
# requirements using synaptic. I use QEMU.
# Don't install any new packages that are NOT available from the CD,
# at this stage.
#
# 2) dpkg -l > PackageList
# Copy this file to $... | Shell |
#!/bin/sh
#set -x
# Default name if we create a new volume group
VGNAME=sysvg
# Name and size in megabytes of volume to be used for origin.
ORIGVOLNAME=ztestorig
ORIGVOLSIZE=2048
# Name and size in megabytes of volume to be used for snap store.
SNAPVOLNAME=ztestsnap
SNAPVOLSIZE=8192
usage()
{
echo "Usage: $0 [-n <v... | Shell |
#!/bin/sh
#set -x
#
# Potentially modifiable parameters.
#
# Working directory, where images and ancillary files live.
WORKDIR=~/local
# Where the svn output goes.
BUILDLOG=build.log
# Name of target Zumastor support directory. This must match the name in the
# preseed file! Note: No leading "/"!
ZUMADIR=zinst
# W... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# configure uml network
. config_uml
[[ $# -eq 3 ]] || { echo "Usage: $setup_network.sh uml_ip uml_hostname uml_fs"; exit 1; }
uml_ip=$1
uml_host=$2
uml_fs=$3
echo -n Setting up host networks...
grep $uml_host /etc/hosts >> $LOG ... | Shell |
#!/bin/bash
. config_uml
. config_single
function create_device {
dd if=/dev/zero of=$1 count=102400 bs=1024 >& /dev/null
[[ $? -eq 0 ]] || { echo "can not create device $1, error $?"; exit -1; }
}
# build linux uml kernel
[[ -e linux-${KERNEL_VERSION} ]] || . build_uml.sh
# setup source and target ... | Shell |
#!/bin/bash
. config_replication
ssh $SSH_OPTS $source_uml_host "zumastor forget volume $vol"
ssh $SSH_OPTS $target_uml_host "zumastor forget volume $vol"
ssh $SSH_OPTS $source_uml_host "halt"
ssh $SSH_OPTS $target_uml_host "halt"
| Shell |
#!/bin/bash -x
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# build kernel linux uml with the KERNEL_VERSION specified in config_uml and with ddsnap kerenel patches
. config_uml
dpkg -s uml-utilities >& $LOG || apt-get -y install uml-utilities || exit $?
[[ -e $ZUMA_REPOSITORY/build ]]... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
. config_uml
. config_replication
function create_device {
dd if=/dev/zero of=$1 count=102400 bs=1024 >& /dev/null
[[ $? -eq 0 ]] || { echo "can not create device $1, error $?"; exit -1; }
}
# build linux uml kerne... | Shell |
#!/bin/bash
# ZUMA_REPOSITORY is the path of the zumastor code
ZUMA_REPOSITORY="${PWD}/../.."
KERNEL_VERSION=`awk '/^2\.6\.[0-9]+(\.[0-9]+)?$/ { print $1; }' $ZUMA_REPOSITORY/KernelVersion`
if [ "x$KERNEL_VERSION" = "x" ] ; then
echo "Suspect KernelVersion file"
exit 1
fi
LOG=`mktemp`
host_tap_ip=192.168.100... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# keep running full volume replication between source and target
. config_replication
. setup_replication.sh || { echo UNRESOLVED; exit 1; }
echo -n Start full-volume replication test...
ssh $SSH_OPTS $source_uml_host "zumastor d... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# test zumastor stop on target
. config_single
. setup_single.sh || { echo UNRESOLVED; exit 1; }
mount_point=/var/run/zumastor/mount/$vol
RUNPATH=/var/run/zumastor
SERVERS=$RUNPATH/servers
AGENTS=$RUNPATH/agents
server=${SERVERS}... | Shell |
#!/bin/bash
. config_uml
. config_single
function create_device {
dd if=/dev/zero of=$1 count=102400 bs=1024 >& /dev/null
[[ $? -eq 0 ]] || { echo "can not create device $1, error $?"; exit -1; }
}
# build linux uml kernel
[[ -e linux-${KERNEL_VERSION} ]] || . build_uml.sh
# setup source and target ... | Shell |
#!/bin/bash
source_uml_ip=192.168.100.5
source_uml_host=uml_5
source_uml_fs=uml_fs5
target_uml_ip=192.168.100.6
target_uml_host=uml_6
target_uml_fs=uml_fs6
source_ubdb_dev=$PWD/source_ubdb
source_ubdc_dev=$PWD/source_ubdc
target_ubdb_dev=$PWD/target_ubdb
target_ubdc_dev=$PWD/target_ubdc
vol="test"
hourly_snapnum=36... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# test zumastor stop on target
. config_replication
. setup_replication.sh || { echo UNRESOLVED; exit 1; }
echo -n Start replication ...
ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $target_uml_host:$target_port -p... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# update zumastor and ddsnap
. config_uml
[[ $# -eq 1 ]] || { echo "Usage: update_zuma.sh uml_fs"; exit 1; }
uml_fs=$1
echo -n Upgrading ddsnap and zumastor...
mount -o loop $uml_fs /mnt || exit 1
pushd $ZUMA_REPOSITORY/ddsnap
ma... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# configure uml network
. config_uml
[[ $# -eq 3 ]] || { echo "Usage: $setup_network.sh uml_ip uml_hostname uml_fs"; exit 1; }
uml_ip=$1
uml_host=$2
uml_fs=$3
echo -n Setting up host networks...
grep $uml_host /etc/hosts >> $LOG ... | Shell |
#!/bin/bash
uml_ip=192.168.100.5
uml_host=uml_5
uml_fs=uml_fs5
ubdb_dev=$PWD/ubdb
ubdc_dev=$PWD/ubdc
vol="test"
VOLUMES=/var/lib/zumastor/volumes
| Shell |
#!/bin/bash -x
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# build kernel linux uml with the KERNEL_VERSION specified in config_uml and with ddsnap kerenel patches
. config_uml
dpkg -s uml-utilities >& $LOG || apt-get -y install uml-utilities || exit $?
[[ -e $ZUMA_REPOSITORY/build ]]... | Shell |
#!/bin/bash
# ZUMA_REPOSITORY is the path of the zumastor code
ZUMA_REPOSITORY="${PWD}/../.."
KERNEL_VERSION=`awk '/^2\.6\.[0-9]+(\.[0-9]+)?$/ { print $1; }' $ZUMA_REPOSITORY/KernelVersion`
if [ "x$KERNEL_VERSION" = "x" ] ; then
echo "Suspect KernelVersion file"
exit 1
fi
LOG=`mktemp`
host_tap_ip=192.168.100... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
. config_uml
. config_replication
function create_device {
dd if=/dev/zero of=$1 count=102400 bs=1024 >& /dev/null
[[ $? -eq 0 ]] || { echo "can not create device $1, error $?"; exit -1; }
}
# build linux uml kerne... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# install all the required libraries and utilities based on the image downloaded from uml website
. config_uml
[[ $# -eq 1 ]] || { echo "Usage: build_fs.sh uml_fs"; exit 1; }
uml_fs=$1
fs_image=Debian-3.1-x86-root_fs
if [ -f $fs_... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# test replication resuming after network goes down and up
. config_replication
. setup_replication.sh || { echo UNRESOLVED; exit 1; }
echo -n Start replication ...
ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $tar... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# test zumastor stop on source
. config_replication
. setup_replication.sh || { echo UNRESOLVED; exit 1; }
echo -n Start replication ...
ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $target_uml_host:$target_port -p... | Shell |
#!/bin/bash
. config_replication
ssh $SSH_OPTS $source_uml_host "zumastor forget volume $vol"
ssh $SSH_OPTS $target_uml_host "zumastor forget volume $vol"
ssh $SSH_OPTS $source_uml_host "halt"
ssh $SSH_OPTS $target_uml_host "halt"
| Shell |
#!/bin/bash
source_uml_ip=192.168.100.5
source_uml_host=uml_5
source_uml_fs=uml_fs5
target_uml_ip=192.168.100.6
target_uml_host=uml_6
target_uml_fs=uml_fs6
source_ubdb_dev=$PWD/source_ubdb
source_ubdc_dev=$PWD/source_ubdc
target_ubdb_dev=$PWD/target_ubdb
target_ubdc_dev=$PWD/target_ubdc
vol="test"
hourly_snapnum=36... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# test replication resuming after network goes down and up
. config_replication
. setup_replication.sh || { echo UNRESOLVED; exit 1; }
echo -n Start replication ...
ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $tar... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# install all the required libraries and utilities based on the image downloaded from uml website
. config_uml
[[ $# -eq 1 ]] || { echo "Usage: build_fs.sh uml_fs"; exit 1; }
uml_fs=$1
fs_image=Debian-3.1-x86-root_fs
if [ -f $fs_... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# test zumastor stop on target
. config_single
. setup_single.sh || { echo UNRESOLVED; exit 1; }
mount_point=/var/run/zumastor/mount/$vol
RUNPATH=/var/run/zumastor
SERVERS=$RUNPATH/servers
AGENTS=$RUNPATH/agents
server=${SERVERS}... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# update zumastor and ddsnap
. config_uml
[[ $# -eq 1 ]] || { echo "Usage: update_zuma.sh uml_fs"; exit 1; }
uml_fs=$1
echo -n Upgrading ddsnap and zumastor...
mount -o loop $uml_fs /mnt || exit 1
pushd $ZUMA_REPOSITORY/ddsnap
ma... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# test zumastor stop on source
. config_replication
. setup_replication.sh || { echo UNRESOLVED; exit 1; }
echo -n Start replication ...
ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $target_uml_host:$target_port -p... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# test zumastor stop on target
. config_replication
. setup_replication.sh || { echo UNRESOLVED; exit 1; }
echo -n Start replication ...
ssh $SSH_OPTS $source_uml_host "zumastor define target $vol $target_uml_host:$target_port -p... | Shell |
#!/bin/bash
# Copyright 2007 Google Inc.
# Author: Jiaying Zhang <jiayingz@google.com>
# keep running full volume replication between source and target
. config_replication
. setup_replication.sh || { echo UNRESOLVED; exit 1; }
echo -n Start full-volume replication test...
ssh $SSH_OPTS $source_uml_host "zumastor d... | Shell |
#!/bin/bash
uml_ip=192.168.100.5
uml_host=uml_5
uml_fs=uml_fs5
ubdb_dev=$PWD/ubdb
ubdc_dev=$PWD/ubdc
vol="test"
VOLUMES=/var/lib/zumastor/volumes
| Shell |
./fs_perms 001 99 99 12 100 x 1
./fs_perms 010 99 99 200 99 x 1
./fs_perms 100 99 99 99 500 x 1
./fs_perms 002 99 99 12 100 w 1
./fs_perms 020 99 99 200 99 w 1
./fs_perms 200 99 99 99 500 w 1
./fs_perms 004 99 99 12 100 r 1
./fs_perms 040 99 99 200 99 r 1
./fs_perms 400 99 99 99 500 r 1
./fs_perms 000 99 99 99 99 r 0
.... | Shell |
#!/bin/sh
# replicate.sh : replication test case
#set -x
tet_startup="startup"
tet_cleanup="cleanup"
iclist="ic1 ic2 ic3"
ic1="small_repl1 small_repl2"
ic2="medium_repl1 medium_repl2"
ic3="large_repl1 large_repl2"
# source TET API shell functions
. $TET_ROOT/lib/xpg3sh/tetapi.sh
repl_init()
{
vol=$1
#
# Verify t... | Shell |
#!/bin/sh
# replicate.sh : replication test case
#set -x
tet_startup="startup"
tet_cleanup="cleanup"
iclist="ic1 ic2 ic3"
ic1="small_repl1 small_repl2"
ic2="medium_repl1 medium_repl2"
ic3="large_repl1 large_repl2"
# source TET API shell functions
. $TET_ROOT/lib/xpg3sh/tetapi.sh
repl_init()
{
vol=$1
#
# Verify t... | Shell |
#!/bin/bash
output_dir=$1
for dir in `ls $output_dir`; do
[[ -d $output_dir/$dir ]] || continue
rm -f $output_dir/$dir.dots
rm -f /tmp/dots
for subdir in `ls $output_dir/$dir`; do
tail -n 1 $output_dir/$dir/$subdir/summary >> /tmp/dots
sort -n /tmp/dots > $output_dir/$dir.dots
done
done
echo set title \"Fst... | Shell |
#!/bin/bash
# example script for comparing nfs performances of nfs-only (without zumastor),
# nfs-zumastor (with zumastor and zero snapshot), and nfs-snapshot (with zumastor and one snapshot)
# please change the testing nfs loads according to the server capacity
LOADS="200 400 600 800 1000"
# type of tests
TESTS="nfs... | Shell |
#!/bin/bash
output_dir=$1
for dir in `ls $output_dir`; do
[[ -d $output_dir/$dir ]] || continue
rm -f $output_dir/$dir.dots
rm -f /tmp/dots
for subdir in `ls $output_dir/$dir`; do
tail -n 1 $output_dir/$dir/$subdir/summary >> /tmp/dots
sort -n /tmp/dots > $output_dir/$dir.dots
done
done
echo set title \"Fst... | Shell |
#!/bin/bash
# example script for comparing nfs performances of nfs-only (without zumastor),
# nfs-zumastor (with zumastor and zero snapshot), and nfs-snapshot (with zumastor and one snapshot)
# please change the testing nfs loads according to the server capacity
LOADS="200 400 600 800 1000"
# type of tests
TESTS="nfs... | Shell |
#!/bin/sh
echo set title \"Time to untar a kernel source tree vs Number of Snapshots\"
echo set xlabel \"Number of Snapshots\"
echo set ylabel \"Real time \(s\) to untar kernel and sync\"
echo set key below
echo set terminal postscript enhanced color
echo set output \"all_tests.ps\"
echo -n "plot "
count=0
for testfil... | Shell |
#!/bin/sh
set -u # let make sure we use initialized variable
AGENT_LOG=/tmp/agent.log
SERVER_LOG=/tmp/server.log
AGENT_PIPE=/tmp/control
SERVER_PIPE=/tmp/server
. config.sh
global_test_num=0
function setup_tar() {
mkfs.ext3 $TAR_DEV || { echo "unable to mkfs tar device"; exit 1; }
mount_dir $TAR_DEV $TAR_MNT
... | Shell |
#!/bin/sh
set -u # let make sure we use initialized variable
AGENT_LOG=/tmp/agent.log
SERVER_LOG=/tmp/server.log
AGENT_PIPE=/tmp/control
SERVER_PIPE=/tmp/server
. config.sh
global_test_num=0
function setup_tar() {
mkfs.ext3 $TAR_DEV || { echo "unable to mkfs tar device"; exit 1; }
mount_dir $TAR_DEV $TAR_MNT
... | Shell |
#!/bin/sh
set -u # let make sure we use initialized variable
#setting up system parameters for nsnaps script
#Example:
#VOLUME_NAME= volume you are replicating
#ORIGIN_MOUNT= location of the volume's mount point
#TAR_DEV= tar device
#TAR_MNT= location of where TAR_DEV is mounted
#SOURCE_TAR= kernel source tree
#KERN... | Shell |
#!/bin/sh
echo set title \"Time to untar a kernel source tree vs Number of Snapshots\"
echo set xlabel \"Number of Snapshots\"
echo set ylabel \"Real time \(s\) to untar kernel and sync\"
echo set key below
echo set terminal postscript enhanced color
echo set output \"all_tests.ps\"
echo -n "plot "
count=0
for testfil... | Shell |
#!/bin/sh
set -u # let make sure we use initialized variable
#setting up system parameters for nsnaps script
#Example:
#VOLUME_NAME= volume you are replicating
#ORIGIN_MOUNT= location of the volume's mount point
#TAR_DEV= tar device
#TAR_MNT= location of where TAR_DEV is mounted
#SOURCE_TAR= kernel source tree
#KERN... | Shell |
#!/bin/sh
# Simple benchmark to compare time-to-take-snapshot between
# Zumastor, rsync, and lvm snapshot+rsync.
abort()
{
echo "failed" $1
exec false
echo notreached
}
# Create $ndirs directories,
# each containing $nfiles files,
# each containing $nkB pseudorandom kilobytes
gendata() {
local ndirs=$1... | Shell |
#!/bin/sh -x
#
# multibonnie.sh {processes} {16MB data chunks}
#
# A wrapper around bonnie to launch multiple parallel threads, and to size
# the small and large file data the same. Small files are between 0 and
# 32 KB, with 1000 per directory.
multibonnie() {
N=$1
total=$2
dirs=$(( $total / $N ))
size=$((... | Shell |
#!/bin/sh -x
#
# multibonnie.sh {processes} {16MB data chunks}
#
# A wrapper around bonnie to launch multiple parallel threads, and to size
# the small and large file data the same. Small files are between 0 and
# 32 KB, with 1000 per directory.
multibonnie() {
N=$1
total=$2
dirs=$(( $total / $N ))
size=$((... | Shell |
#!/bin/sh
# Simple benchmark to compare time-to-take-snapshot between
# Zumastor, rsync, and lvm snapshot+rsync.
abort()
{
echo "failed" $1
exec false
echo notreached
}
# Create $ndirs directories,
# each containing $nfiles files,
# each containing $nkB pseudorandom kilobytes
gendata() {
local ndirs=$1... | Shell |
#!/bin/bash -x
#
# $Id: buildcurrent.sh 1378 2008-02-13 18:12:35Z williamanowak $
#
# based on build_packages.sh
# builds whatever is in current working directory,
# does not pull any external source
# may be run inside an isolated virtual machine for safe automatic builds
#
# Copyright 2007 Google Inc. All rights rese... | Shell |
#!/bin/bash -x
#
# $Id: buildcurrentsrc.sh 1378 2008-02-13 18:12:35Z williamanowak $
#
# based on buildcurrent.sh
# builds whatever is in current working directory,
# does not pull any external source
# may be run inside an isolated virtual machine for safe automatic builds
# Only builds deb src packages for upload to ... | Shell |
#!/bin/sh
# run after the base packages are installed, from inside the d-i environment
# copied into the initrd so it doesn't need to be fetched over network
# connections.
# $Id: etch-late.sh 1004 2007-11-30 16:05:47Z drake.diedrich $
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: ... | Shell |
#!/bin/sh -x
# Run the etch/i386 image using -snapshot to verify that it works.
# The template should be left unmodified.
# $Id: test-etch-i386.sh 1004 2007-11-30 16:05:47Z drake.diedrich $
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
if [ "x$MACFILE" = "x" -o "x$MA... | Shell |
#!/bin/sh
# run after the base packages are installed, from inside the d-i environment
# copied into the initrd so it doesn't need to be fetched over network
# connections.
# $Id: dapper-late.sh 1004 2007-11-30 16:05:47Z drake.diedrich $
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License... | Shell |
#!/bin/sh
# run early in the dapper install, from the preseed
# $Id: etch-early.sh 1004 2007-11-30 16:05:47Z drake.diedrich $
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
| Shell |
#!/bin/sh -x
# Set up the initial Ubuntu/dapper template image, for use when duplicating
# the install to multiple server/client tests. Makes use of tunbr and
# a presetup br1, squid, and dnsmasq. Must run from the cbtb/host-setup/
# directory to use other scripts and data.
# $Id: dapper-i386.sh 1004 2007-11-30 16:... | Shell |
#!/bin/sh -x
# Run the dapper/i386 image using -snapshot to verify that it works.
# The template should be left unmodified.
# Any parameters are copied to the destination instance and executed as root
# $Id: test-dapper-i386.sh 1004 2007-11-30 16:05:47Z drake.diedrich $
# Copyright 2007 Google Inc.
# Author: Drake Di... | Shell |
#!/bin/sh
#
# $Id: proxy.sh 1351 2008-02-12 10:52:43Z drake.diedrich $
#
# Set up the local machine (Debian or derivative) with the pass-through proxy.
set -e
VIRTNET="192.168.23.0/24"
VIRTHOST="192.168.23.1"
[ -x /etc/default/testenv ] && . /etc/default/testenv
# if apache2 was already installed and the default Vir... | Shell |
#!/bin/sh
#
# $Id: proxy.sh 1198 2007-12-22 11:43:15Z drake.diedrich $
#
# Install debootstrap and configure for dapper if necessary
set -e
VIRTNET="192.168.23.0/24"
VIRTHOST="192.168.23.1"
[ -x /etc/default/testenv ] && . /etc/default/testenv
# install debootstrap
if [ ! -x /usr/sbin/debootstrap ]
then
if [ -f /e... | Shell |
#!/bin/sh
# Turn the swap partition into a physical volume in the sysvg volume group
# $Id$
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
modprobe dm-mod || true
if egrep dm_mod /proc/modules ; then
dev=`awk '/swap/ { print $1; }' /etc/fstab`
egrep dm-mod /etc/mo... | Shell |
#!/bin/sh
#
# $Id$
#
# Install and configure atftpd for use with the virtualization test
# environment for zumastor.
#
# Copyright 2007 Google Inc. All rights reserved.
# Author: Drake Diedrich (dld@google.com)
VIRTHOST="192.168.23.1"
[ -x /etc/default/testenv ] && . /etc/default/testenv
# Create /tftpboot if it doe... | Shell |
#!/bin/sh
# run after the base packages are installed, from inside the d-i environment
# copied into the initrd so it doesn't need to be fetched over network
# connections.
# $Id$
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
mkdir /target/root/.ssh
cp /authorized_ke... | Shell |
#!/bin/sh -x
#
# $Id$
#
# Install and configure dnsmasq to dynamically serve DNS and DHCP
# for the range of addresses managed by tunbr, part of the zumastor
# virtual test environment.
# The default /etc/dnsmasq.conf is locally diverted and replaced
# with the configuration file inline below, with instructions o... | Shell |
#!/bin/sh
# run early in the dapper install, from the preseed
# $Id$
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
| Shell |
#!/bin/sh -x
# Set up the initial Ubuntu/dapper template image, for use when duplicating
# the install to multiple server/client tests. Makes use of tunbr and
# a presetup br1, squid, and dnsmasq. Must run from the cbtb/host-setup/
# directory to use other scripts and data.
# $Id$
# Copyright 2007 Google Inc.
# Aut... | Shell |
#!/bin/sh -x
#
# $Id$
#
# Add the br1 bridge to /etc/network/interfaces, as required by tests in
# the tunbr virtualization environment.
#
VIRTNET="192.168.23.0/24"
VIRTHOST="192.168.23.1"
VIRTBR="br1"
[ -x /etc/default/testenv ] && . /etc/default/testenv
if echo $VIRTNET | egrep "/24"
then
NETWORK=`echo $VIRTNET |... | Shell |
#!/bin/sh
# run early in the dapper install, from the preseed
# $Id$
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
| Shell |
#!/bin/sh
#
# $Id$
#
# Set up the local machine (Debian or derivative) with the pass-through proxy.
set -e
VIRTNET="192.168.23.0/24"
VIRTHOST="192.168.23.1"
[ -x /etc/default/testenv ] && . /etc/default/testenv
# if apache2 was already installed and the default VirtualHost is already
# enabled, leave it alone. Else... | Shell |
#!/bin/sh -x
# Run the dapper/i386 image using -snapshot to verify that it works.
# The template should be left unmodified.
# Any parameters are copied to the destination instance and executed as root
# $Id$
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
SSH='ssh -o S... | Shell |
#!/bin/sh -x
# Set up the initial Debian/etch template image, for use when duplicating
# the install to multiple server/client tests. Makes use of tunbr and
# a presetup br1, squid, and dnsmasq.
# $Id$
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
SSH='ssh -o Strict... | Shell |
#!/bin/sh -x
# Run the etch/i386 image using -snapshot to verify that it works.
# The template should be left unmodified.
# $Id$
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
if [ "x$MACFILE" = "x" -o "x$MACADDR" = "x" -o "x$IFACE" = "x" \
-o "x$IPADDR" = "x" ] ... | Shell |
#!/bin/sh
#
# $Id: proxy.sh 1198 2007-12-22 11:43:15Z drake.diedrich $
#
# Install debootstrap and configure for dapper if necessary
set -e
VIRTNET="192.168.23.0/24"
VIRTHOST="192.168.23.1"
[ -x /etc/default/testenv ] && . /etc/default/testenv
# install debootstrap
if [ ! -x /usr/sbin/debootstrap ]
then
if [ -f /e... | Shell |
#!/bin/sh
# run after the base packages are installed, from inside the d-i environment
# copied into the initrd so it doesn't need to be fetched over network
# connections.
# $Id$
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
mkdir /target/root/.ssh
cp /authorized_ke... | Shell |
#!/bin/sh -x
#
# $Id$
#
# Install any other zumastor testenv (cbtb) dependencies
aptitude install -y timeout uml-utilities
| Shell |
#!/bin/sh -x
#
# $Id: dnsmasq.sh 1404 2008-02-16 00:22:17Z drake.diedrich $
#
# Install and configure dnsmasq to dynamically serve DNS and DHCP
# for the range of addresses managed by tunbr, part of the zumastor
# virtual test environment.
# The default /etc/dnsmasq.conf is locally diverted and replaced
# with th... | Shell |
#!/bin/sh -x
#
# $Id: dependencies.sh 1404 2008-02-16 00:22:17Z drake.diedrich $
#
# Install any other zumastor testenv (cbtb) dependencies
aptitude install -y timeout uml-utilities
| Shell |
#!/bin/sh
#
# $Id: atftpd.sh 1362 2008-02-13 00:28:42Z drake.diedrich $
#
# Install and configure atftpd for use with the virtualization test
# environment for zumastor.
#
# Copyright 2007 Google Inc. All rights reserved.
# Author: Drake Diedrich (dld@google.com)
VIRTHOST="192.168.23.1"
[ -x /etc/default/testenv ] &&... | Shell |
#!/bin/sh
# run early in the dapper install, from the preseed
# $Id: dapper-early.sh 1004 2007-11-30 16:05:47Z drake.diedrich $
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
| Shell |
#!/bin/sh -x
#
# $Id: interfaces-bridge.sh 1404 2008-02-16 00:22:17Z drake.diedrich $
#
# Add the br1 bridge to /etc/network/interfaces, as required by tests in
# the tunbr virtualization environment.
#
VIRTNET="192.168.23.0/24"
VIRTHOST="192.168.23.1"
VIRTBR="br1"
[ -x /etc/default/testenv ] && . /etc/default/testenv... | Shell |
#!/bin/sh
# Turn the swap partition into a physical volume in the sysvg volume group
# $Id: swap2sysvg.sh 1004 2007-11-30 16:05:47Z drake.diedrich $
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
modprobe dm-mod || true
if egrep dm_mod /proc/modules ; then
dev=`awk ... | Shell |
#!/bin/sh -x
# Set up the initial Debian/etch template image, for use when duplicating
# the install to multiple server/client tests. Makes use of tunbr and
# a presetup br1, squid, and dnsmasq.
# $Id: etch-i386.sh 1004 2007-11-30 16:05:47Z drake.diedrich $
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@... | Shell |
#!/bin/bash
#
# Make/Update a makeshift apt repository from the build server
newrev=`curl -sq http://zumabuild/trunk/buildrev`
newver=`curl -sq http://zumastor.googlecode.com/svn/trunk/Version`
buildhost="http://zumabuild"
WGET="wget -qc"
function packagename {
dpkg-deb --info $1|grep Package|cut -d' ' -f 3|head -... | Shell |
#!/bin/bash
#
# Make/Update a makeshift apt repository from the build server
newrev=`curl -sq http://zumabuild/trunk/buildrev`
newver=`curl -sq http://zumastor.googlecode.com/svn/trunk/Version`
buildhost="http://zumabuild"
WGET="wget -qc"
function packagename {
dpkg-deb --info $1|grep Package|cut -d' ' -f 3|head -... | Shell |
#!/bin/sh -x
# Run the zuma/dapper/i386 image using -snapshot to verify that it works.
# The template should be left unmodified.
# Any parameters are copied to the destination instance and executed as root
# $Id: test-zuma-dapper-i386.sh 1376 2008-02-13 04:00:49Z drake.diedrich $
# Copyright 2007 Google Inc.
# Author... | Shell |
#!/bin/bash -x
#
# $Id: ptxdist-image.sh 1279 2008-01-15 04:44:35Z drake.diedrich $
#
# based partially on buildcurrent.sh
# builds a ptxdist image with zumastor kernel and userland support
#
# Copyright 2007 Google Inc.
# Author: Chuan-kai Lin (cklin@google.com)
KERNEL_VERSION=`awk '/^2\.6\.[0-9]+(\.[0-9]+)?$/ { prin... | Shell |
#!/bin/sh -x
#
# $Id: dapper-build.sh 1290 2008-01-18 18:44:46Z drake.diedrich $
#
# Launch a dapper-i386 snapshot
# create a build user in the snapshot
# copy the zumastor source to ~build
# run buildcurrent.sh as user build in the testenv instance
# pull the debs out of the instance
# shut down the instance
#
# Copy ... | Shell |
#!/bin/sh -x
#
# $Id: runtests.sh 1473 2008-03-19 23:55:51Z drake.diedrich $
#
#
# run the cbtb test suite under multiple tunbr invocations from
# continuous-test.sh, store the results in the build/ directory, and email
# the zumastor-commits list. Return code indicates that at least
# one mandatory rest failed, and i... | Shell |
#!/bin/sh -x
#
# Build an image with current or provided zumastor debs installed, booted,
# and ready to immediately run single-node tests.
# Inherits from the generic dapper template.
#
# $Id$
# Copyright 2007 Google Inc.
# Author: Drake Diedrich <dld@google.com>
# License: GPLv2
set -e
# wait for ssh to work. Param... | Shell |
#!/bin/sh -x
#
# $Id$
#
# Launch a dapper-i386 snapshot
# create a build user in the snapshot
# copy the zumastor source to ~build
# run buildcurrent.sh as user build in the testenv instance
# pull the debs out of the instance
# shut down the instance
#
# Copy this to a directory outside the working directory, and laun... | Shell |
#!/bin/sh -x
#
# $Id$
#
# Continuously check whether a new build has completed, and install
# the new debs into a new image to use for testing. Create a symlink to
# the new image for the continuous-test script to notice and launch tests
# against.
repo="${PWD}/zumastor"
top="${PWD}"
branch=`cat $repo/Version`
buil... | Shell |
#!/bin/bash -x
#
# $Id$
#
# based partially on buildcurrent.sh
# builds a ptxdist image with zumastor kernel and userland support
#
# Copyright 2007 Google Inc.
# Author: Chuan-kai Lin (cklin@google.com)
KERNEL_VERSION=`awk '/^2\.6\.[0-9]+(\.[0-9]+)?$/ { print $1; }' KernelVersion`
if [ "x$KERNEL_VERSION" = "x" ] ; th... | Shell |
#!/bin/sh -x
#
# $Id$
#
#
# Continuously svn update, run the encapsulated build
# Create symlinks to the new debs each time a new build is successful,
# so other continuous-* scripts can tell at a glance that a new one
# has arrived.
mailto=/usr/bin/mailto
sendmail=/usr/sbin/sendmail
biabam=/usr/bin/biabam
TUNBR=tunbr... | Shell |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.